%define aurox_ver 11.0
%define rel 1

%define DRV_VERSION cvs20051129

%define kversion 2.6.12
%define krelver 11.0.aur.2

Summary: Open source driver for rtl8180 wifi cards
Name: rtl8180
Version: %{DRV_VERSION}
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group: System Environment/Base
Source0: %{name}-%{version}.tgz
URL: http://rtl8180-sa2400.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: kernel = %{kversion}-%{krelver}
BuildRequires: kernel-smp = %{kversion}-%{krelver}
BuildRequires: kernel-devel = %{kversion}-%{krelver}
BuildRequires: kernel-smp-devel = %{kversion}-%{krelver}

%description
This is an attempt to make work some wireless lan cards on Linux (2.6) without non-opensource stuff.
More precisely cards with Realtek rtl818x MAC+BASEBAND chip.

These cards can be divided in 3 types:
1- rtl8180 PCI/Cardbus 802.11b
2- rtl8185 PCI/Cardbus 802.11(a)/b/g
3- rtl8187 USB 802.11(a)/b/g 

%package kernel
Summary: Kernel module 
Group: System Environment/Kernel
PreReq: /sbin/depmod
Provides: kernel-modules
Requires: kernel = %{kversion}-%{krelver}
Version: %{kversion}
Release: 0.aur.%{rel}

%description kernel
This package provides the kernel driver for the rtl8180 based wifi cards.

#%package kernel-smp
#Summary: SMP kernel module for the Eagle USB DSL modems
#Group: System Environment/Kernel
#PreReq: /sbin/depmod
#Provides: kernel-modules
#Provides: eagle-usb-kernel
#Requires: kernel-smp = %{kversion}-%{krelver}
#Version: %{kversion}
#Release: 0.aur.%{rel}

#%description kernel-smp
#This package provides the kernel driver for the rtl8180 based wifi cards.

%prep
%setup -q -n rtl8180-sa2400-dev

%build
#BuildModule() {
#	make %{?_smp_mflags}
#}

#configure --with-kernel-src=/lib/modules/%{kversion}-%{krelver}$1/build

# See if SMP config is available: we want to build both SMP and UP modules for 
# a given architecture in one pass if possible.
#if [ -d /lib/modules/%{kversion}-%{krelver}smp ]; then # FIXME
#	BuildModule smp
#	mv driver/eagle-usb.ko driver/eagle-usb-smp.ko
#fi
#BuildModule
make

%install
rm -rf $RPM_BUILD_ROOT

#make INSTALL_PREFIX=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/lib/modules/2.6.12-11.0.aur.2/kernel/drivers/net/wireless/alg

# the module needs to be stripped anyway, so make it executable
install -p -m 644 r8180.ko ieee80211-r8180.ko ieee80211_crypt-r8180.ko $RPM_BUILD_ROOT/lib/modules/%{kversion}-%{krelver}/kernel/drivers/net/wireless
install -p -m 644 ieee80211_crypt_wep-r8180.ko $RPM_BUILD_ROOT/lib/modules/%{kversion}-%{krelver}/kernel/drivers/net/wireless/alg

# install the SMP module
#if [ -f driver/eagle-usb-smp.ko ]; then
#        install -D driver/eagle-usb-smp.ko $RPM_BUILD_ROOT/lib/modules/%{kversion}-%{krelver}smp/misc/eagle-usb.ko
#fi

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{_tmppath}/linux-%{kversion}-%{krelver}

# This is hackish but rpmbuild won't accept arch-conditional subpackages

#%ifnarch i386
%files kernel
#%undefine __check_files
%defattr(0644,root,root)
/lib/modules/%{kversion}-%{krelver}/kernel/drivers/net/wireless/*
/lib/modules/%{kversion}-%{krelver}/kernel/drivers/net/wireless/alg/*

#%ifnarch i586 # no SMP modules for those
#%files kernel-smp
#%undefine __check_files
#%defattr(0644,root,root)
#/lib/modules/%{kversion}-%{krelver}smp/misc/eagle-usb.*
#%endif # i586
#%endif # i386

%post kernel
/sbin/depmod -a

#%post kernel-smp
#/sbin/depmod -a

%postun kernel
/sbin/depmod -a

#%postun kernel-smp
#/sbin/depmod -a

%changelog
* Tue Nov 29 2005 Rafal Kwasny <rkwasny@aurox.org> 20051129
- Initial release

